- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::WordToPDFOptions Class Reference

`#include <WordToPDFOptions.h>`

Inheritance diagram for pdftron::PDF::WordToPDFOptions:

## Public Member Functions
| WordToPDFOptions ()
| ~WordToPDFOptions ()
UString | GetLayoutResourcesPluginPath ()
WordToPDFOptions & | SetLayoutResourcesPluginPath (UString value)
UString | GetResourceDocPath ()
WordToPDFOptions & | SetResourceDocPath (UString value)
UString | GetSmartSubstitutionPluginPath ()
WordToPDFOptions & | SetSmartSubstitutionPluginPath (UString value)

## Detailed Description

Definition at line 9 of file WordToPDFOptions.h.

## Constructor & Destructor Documentation

pdftron::PDF::WordToPDFOptions::WordToPDFOptions | ( |  | ) |

pdftron::PDF::WordToPDFOptions::~WordToPDFOptions | ( |  | ) |

## Member Function Documentation

UString pdftron::PDF::WordToPDFOptions::GetLayoutResourcesPluginPath | ( |  | ) |

Gets the value LayoutResourcesPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, The path at which the pdftron-provided font resource plugin resides.

UString pdftron::PDF::WordToPDFOptions::GetResourceDocPath | ( |  | ) |

Gets the value ResourceDocPath from the options object The path at which the a .docx resource document resides

Returns
  a UString, The path at which the a .docx resource document resides.

UString pdftron::PDF::WordToPDFOptions::GetSmartSubstitutionPluginPath | ( |  | ) |

Gets the value SmartSubstitutionPluginPath from the options object The path at which the pdftron-provided font resource plugin resides

Returns
  a UString, The path at which the pdftron-provided font resource plugin resides.

WordToPDFOptions& pdftron::PDF::WordToPDFOptions::SetLayoutResourcesPluginPath | ( | UString | value | ) |

Sets the value for LayoutResourcesPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value,: | The path at which the pdftron-provided font resource plugin resides

Returns
  this object, for call chaining

WordToPDFOptions& pdftron::PDF::WordToPDFOptions::SetResourceDocPath | ( | UString | value | ) |

Sets the value for ResourceDocPath in the options object The path at which the a .docx resource document resides

Parameters

  value,: | The path at which the a .docx resource document resides

Returns
  this object, for call chaining

WordToPDFOptions& pdftron::PDF::WordToPDFOptions::SetSmartSubstitutionPluginPath | ( | UString | value | ) |

Sets the value for SmartSubstitutionPluginPath in the options object The path at which the pdftron-provided font resource plugin resides

Parameters

  value,: | The path at which the pdftron-provided font resource plugin resides

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/WordToPDFOptions.h